FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009041255.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009041255.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3cac0b5 OS_GIT_VERSION=4.4.0-202009041255.p0-3cac0b5 SOURCE_DATE_EPOCH=1576943289 SOURCE_GIT_COMMIT=3cac0b5359daebde19240b70c45c860a61e61df8 SOURCE_GIT_TAG=3cac0b5 SOURCE_GIT_URL=https://github.com/openshift/must-gather 
WORKDIR /go/src/github.com/openshift/must-gather
COPY . .
ENV GO_PACKAGE github.com/openshift/must-gather

FROM openshift/ose-cli:v4.4.0.20200904.133143
ENV __doozer=update BUILD_RELEASE=202009041255.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009041255.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3cac0b5 OS_GIT_VERSION=4.4.0-202009041255.p0-3cac0b5 SOURCE_DATE_EPOCH=1576943289 SOURCE_GIT_COMMIT=3cac0b5359daebde19240b70c45c860a61e61df8 SOURCE_GIT_TAG=3cac0b5 SOURCE_GIT_URL=https://github.com/openshift/must-gather 
COPY --from=builder /go/src/github.com/openshift/must-gather/collection-scripts/* /usr/bin/

LABEL \
        name="openshift/ose-must-gather" \
        com.redhat.component="ose-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202009041255.p0" \
        io.openshift.build.commit.id="3cac0b5359daebde19240b70c45c860a61e61df8" \
        io.openshift.build.source-location="https://github.com/openshift/must-gather" \
        io.openshift.build.commit.url="https://github.com/openshift/must-gather/commit/3cac0b5359daebde19240b70c45c860a61e61df8" \
        version="v4.4.0"

